Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network40.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
40.0.0.0
Broadcast address
40.255.255.255
First usable
40.0.0.1
Last usable
40.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 28000000 · Integer 671088640 to 687865855
Reverse DNS zone
40.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101000..00000000.00000000.0000000040.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00101000..00000000.00000000.0000000040.0.0.0
Broadcast00101000..11111111.11111111.1111111140.255.255.255
Split into smaller subnets/16

40.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
140.0.0.0/1640.0.0.1 to 40.0.255.25440.0.255.25565,534
240.1.0.0/1640.1.0.1 to 40.1.255.25440.1.255.25565,534
340.2.0.0/1640.2.0.1 to 40.2.255.25440.2.255.25565,534
440.3.0.0/1640.3.0.1 to 40.3.255.25440.3.255.25565,534
540.4.0.0/1640.4.0.1 to 40.4.255.25440.4.255.25565,534
640.5.0.0/1640.5.0.1 to 40.5.255.25440.5.255.25565,534
740.6.0.0/1640.6.0.1 to 40.6.255.25440.6.255.25565,534
840.7.0.0/1640.7.0.1 to 40.7.255.25440.7.255.25565,534
940.8.0.0/1640.8.0.1 to 40.8.255.25440.8.255.25565,534
1040.9.0.0/1640.9.0.1 to 40.9.255.25440.9.255.25565,534
1140.10.0.0/1640.10.0.1 to 40.10.255.25440.10.255.25565,534
1240.11.0.0/1640.11.0.1 to 40.11.255.25440.11.255.25565,534
1340.12.0.0/1640.12.0.1 to 40.12.255.25440.12.255.25565,534
1440.13.0.0/1640.13.0.1 to 40.13.255.25440.13.255.25565,534
1540.14.0.0/1640.14.0.1 to 40.14.255.25440.14.255.25565,534
1640.15.0.0/1640.15.0.1 to 40.15.255.25440.15.255.25565,534
1740.16.0.0/1640.16.0.1 to 40.16.255.25440.16.255.25565,534
1840.17.0.0/1640.17.0.1 to 40.17.255.25440.17.255.25565,534
1940.18.0.0/1640.18.0.1 to 40.18.255.25440.18.255.25565,534
2040.19.0.0/1640.19.0.1 to 40.19.255.25440.19.255.25565,534
2140.20.0.0/1640.20.0.1 to 40.20.255.25440.20.255.25565,534
2240.21.0.0/1640.21.0.1 to 40.21.255.25440.21.255.25565,534
2340.22.0.0/1640.22.0.1 to 40.22.255.25440.22.255.25565,534
2440.23.0.0/1640.23.0.1 to 40.23.255.25440.23.255.25565,534
2540.24.0.0/1640.24.0.1 to 40.24.255.25440.24.255.25565,534
2640.25.0.0/1640.25.0.1 to 40.25.255.25440.25.255.25565,534
2740.26.0.0/1640.26.0.1 to 40.26.255.25440.26.255.25565,534
2840.27.0.0/1640.27.0.1 to 40.27.255.25440.27.255.25565,534
2940.28.0.0/1640.28.0.1 to 40.28.255.25440.28.255.25565,534
3040.29.0.0/1640.29.0.1 to 40.29.255.25440.29.255.25565,534
3140.30.0.0/1640.30.0.1 to 40.30.255.25440.30.255.25565,534
3240.31.0.0/1640.31.0.1 to 40.31.255.25440.31.255.25565,534
3340.32.0.0/1640.32.0.1 to 40.32.255.25440.32.255.25565,534
3440.33.0.0/1640.33.0.1 to 40.33.255.25440.33.255.25565,534
3540.34.0.0/1640.34.0.1 to 40.34.255.25440.34.255.25565,534
3640.35.0.0/1640.35.0.1 to 40.35.255.25440.35.255.25565,534
3740.36.0.0/1640.36.0.1 to 40.36.255.25440.36.255.25565,534
3840.37.0.0/1640.37.0.1 to 40.37.255.25440.37.255.25565,534
3940.38.0.0/1640.38.0.1 to 40.38.255.25440.38.255.25565,534
4040.39.0.0/1640.39.0.1 to 40.39.255.25440.39.255.25565,534
4140.40.0.0/1640.40.0.1 to 40.40.255.25440.40.255.25565,534
4240.41.0.0/1640.41.0.1 to 40.41.255.25440.41.255.25565,534
4340.42.0.0/1640.42.0.1 to 40.42.255.25440.42.255.25565,534
4440.43.0.0/1640.43.0.1 to 40.43.255.25440.43.255.25565,534
4540.44.0.0/1640.44.0.1 to 40.44.255.25440.44.255.25565,534
4640.45.0.0/1640.45.0.1 to 40.45.255.25440.45.255.25565,534
4740.46.0.0/1640.46.0.1 to 40.46.255.25440.46.255.25565,534
4840.47.0.0/1640.47.0.1 to 40.47.255.25440.47.255.25565,534
4940.48.0.0/1640.48.0.1 to 40.48.255.25440.48.255.25565,534
5040.49.0.0/1640.49.0.1 to 40.49.255.25440.49.255.25565,534
5140.50.0.0/1640.50.0.1 to 40.50.255.25440.50.255.25565,534
5240.51.0.0/1640.51.0.1 to 40.51.255.25440.51.255.25565,534
5340.52.0.0/1640.52.0.1 to 40.52.255.25440.52.255.25565,534
5440.53.0.0/1640.53.0.1 to 40.53.255.25440.53.255.25565,534
5540.54.0.0/1640.54.0.1 to 40.54.255.25440.54.255.25565,534
5640.55.0.0/1640.55.0.1 to 40.55.255.25440.55.255.25565,534
5740.56.0.0/1640.56.0.1 to 40.56.255.25440.56.255.25565,534
5840.57.0.0/1640.57.0.1 to 40.57.255.25440.57.255.25565,534
5940.58.0.0/1640.58.0.1 to 40.58.255.25440.58.255.25565,534
6040.59.0.0/1640.59.0.1 to 40.59.255.25440.59.255.25565,534
6140.60.0.0/1640.60.0.1 to 40.60.255.25440.60.255.25565,534
6240.61.0.0/1640.61.0.1 to 40.61.255.25440.61.255.25565,534
6340.62.0.0/1640.62.0.1 to 40.62.255.25440.62.255.25565,534
6440.63.0.0/1640.63.0.1 to 40.63.255.25440.63.255.25565,534
6540.64.0.0/1640.64.0.1 to 40.64.255.25440.64.255.25565,534
6640.65.0.0/1640.65.0.1 to 40.65.255.25440.65.255.25565,534
6740.66.0.0/1640.66.0.1 to 40.66.255.25440.66.255.25565,534
6840.67.0.0/1640.67.0.1 to 40.67.255.25440.67.255.25565,534
6940.68.0.0/1640.68.0.1 to 40.68.255.25440.68.255.25565,534
7040.69.0.0/1640.69.0.1 to 40.69.255.25440.69.255.25565,534
7140.70.0.0/1640.70.0.1 to 40.70.255.25440.70.255.25565,534
7240.71.0.0/1640.71.0.1 to 40.71.255.25440.71.255.25565,534
7340.72.0.0/1640.72.0.1 to 40.72.255.25440.72.255.25565,534
7440.73.0.0/1640.73.0.1 to 40.73.255.25440.73.255.25565,534
7540.74.0.0/1640.74.0.1 to 40.74.255.25440.74.255.25565,534
7640.75.0.0/1640.75.0.1 to 40.75.255.25440.75.255.25565,534
7740.76.0.0/1640.76.0.1 to 40.76.255.25440.76.255.25565,534
7840.77.0.0/1640.77.0.1 to 40.77.255.25440.77.255.25565,534
7940.78.0.0/1640.78.0.1 to 40.78.255.25440.78.255.25565,534
8040.79.0.0/1640.79.0.1 to 40.79.255.25440.79.255.25565,534
8140.80.0.0/1640.80.0.1 to 40.80.255.25440.80.255.25565,534
8240.81.0.0/1640.81.0.1 to 40.81.255.25440.81.255.25565,534
8340.82.0.0/1640.82.0.1 to 40.82.255.25440.82.255.25565,534
8440.83.0.0/1640.83.0.1 to 40.83.255.25440.83.255.25565,534
8540.84.0.0/1640.84.0.1 to 40.84.255.25440.84.255.25565,534
8640.85.0.0/1640.85.0.1 to 40.85.255.25440.85.255.25565,534
8740.86.0.0/1640.86.0.1 to 40.86.255.25440.86.255.25565,534
8840.87.0.0/1640.87.0.1 to 40.87.255.25440.87.255.25565,534
8940.88.0.0/1640.88.0.1 to 40.88.255.25440.88.255.25565,534
9040.89.0.0/1640.89.0.1 to 40.89.255.25440.89.255.25565,534
9140.90.0.0/1640.90.0.1 to 40.90.255.25440.90.255.25565,534
9240.91.0.0/1640.91.0.1 to 40.91.255.25440.91.255.25565,534
9340.92.0.0/1640.92.0.1 to 40.92.255.25440.92.255.25565,534
9440.93.0.0/1640.93.0.1 to 40.93.255.25440.93.255.25565,534
9540.94.0.0/1640.94.0.1 to 40.94.255.25440.94.255.25565,534
9640.95.0.0/1640.95.0.1 to 40.95.255.25440.95.255.25565,534
9740.96.0.0/1640.96.0.1 to 40.96.255.25440.96.255.25565,534
9840.97.0.0/1640.97.0.1 to 40.97.255.25440.97.255.25565,534
9940.98.0.0/1640.98.0.1 to 40.98.255.25440.98.255.25565,534
10040.99.0.0/1640.99.0.1 to 40.99.255.25440.99.255.25565,534
10140.100.0.0/1640.100.0.1 to 40.100.255.25440.100.255.25565,534
10240.101.0.0/1640.101.0.1 to 40.101.255.25440.101.255.25565,534
10340.102.0.0/1640.102.0.1 to 40.102.255.25440.102.255.25565,534
10440.103.0.0/1640.103.0.1 to 40.103.255.25440.103.255.25565,534
10540.104.0.0/1640.104.0.1 to 40.104.255.25440.104.255.25565,534
10640.105.0.0/1640.105.0.1 to 40.105.255.25440.105.255.25565,534
10740.106.0.0/1640.106.0.1 to 40.106.255.25440.106.255.25565,534
10840.107.0.0/1640.107.0.1 to 40.107.255.25440.107.255.25565,534
10940.108.0.0/1640.108.0.1 to 40.108.255.25440.108.255.25565,534
11040.109.0.0/1640.109.0.1 to 40.109.255.25440.109.255.25565,534
11140.110.0.0/1640.110.0.1 to 40.110.255.25440.110.255.25565,534
11240.111.0.0/1640.111.0.1 to 40.111.255.25440.111.255.25565,534
11340.112.0.0/1640.112.0.1 to 40.112.255.25440.112.255.25565,534
11440.113.0.0/1640.113.0.1 to 40.113.255.25440.113.255.25565,534
11540.114.0.0/1640.114.0.1 to 40.114.255.25440.114.255.25565,534
11640.115.0.0/1640.115.0.1 to 40.115.255.25440.115.255.25565,534
11740.116.0.0/1640.116.0.1 to 40.116.255.25440.116.255.25565,534
11840.117.0.0/1640.117.0.1 to 40.117.255.25440.117.255.25565,534
11940.118.0.0/1640.118.0.1 to 40.118.255.25440.118.255.25565,534
12040.119.0.0/1640.119.0.1 to 40.119.255.25440.119.255.25565,534
12140.120.0.0/1640.120.0.1 to 40.120.255.25440.120.255.25565,534
12240.121.0.0/1640.121.0.1 to 40.121.255.25440.121.255.25565,534
12340.122.0.0/1640.122.0.1 to 40.122.255.25440.122.255.25565,534
12440.123.0.0/1640.123.0.1 to 40.123.255.25440.123.255.25565,534
12540.124.0.0/1640.124.0.1 to 40.124.255.25440.124.255.25565,534
12640.125.0.0/1640.125.0.1 to 40.125.255.25440.125.255.25565,534
12740.126.0.0/1640.126.0.1 to 40.126.255.25440.126.255.25565,534
12840.127.0.0/1640.127.0.1 to 40.127.255.25440.127.255.25565,534
12940.128.0.0/1640.128.0.1 to 40.128.255.25440.128.255.25565,534
13040.129.0.0/1640.129.0.1 to 40.129.255.25440.129.255.25565,534
13140.130.0.0/1640.130.0.1 to 40.130.255.25440.130.255.25565,534
13240.131.0.0/1640.131.0.1 to 40.131.255.25440.131.255.25565,534
13340.132.0.0/1640.132.0.1 to 40.132.255.25440.132.255.25565,534
13440.133.0.0/1640.133.0.1 to 40.133.255.25440.133.255.25565,534
13540.134.0.0/1640.134.0.1 to 40.134.255.25440.134.255.25565,534
13640.135.0.0/1640.135.0.1 to 40.135.255.25440.135.255.25565,534
13740.136.0.0/1640.136.0.1 to 40.136.255.25440.136.255.25565,534
13840.137.0.0/1640.137.0.1 to 40.137.255.25440.137.255.25565,534
13940.138.0.0/1640.138.0.1 to 40.138.255.25440.138.255.25565,534
14040.139.0.0/1640.139.0.1 to 40.139.255.25440.139.255.25565,534
14140.140.0.0/1640.140.0.1 to 40.140.255.25440.140.255.25565,534
14240.141.0.0/1640.141.0.1 to 40.141.255.25440.141.255.25565,534
14340.142.0.0/1640.142.0.1 to 40.142.255.25440.142.255.25565,534
14440.143.0.0/1640.143.0.1 to 40.143.255.25440.143.255.25565,534
14540.144.0.0/1640.144.0.1 to 40.144.255.25440.144.255.25565,534
14640.145.0.0/1640.145.0.1 to 40.145.255.25440.145.255.25565,534
14740.146.0.0/1640.146.0.1 to 40.146.255.25440.146.255.25565,534
14840.147.0.0/1640.147.0.1 to 40.147.255.25440.147.255.25565,534
14940.148.0.0/1640.148.0.1 to 40.148.255.25440.148.255.25565,534
15040.149.0.0/1640.149.0.1 to 40.149.255.25440.149.255.25565,534
15140.150.0.0/1640.150.0.1 to 40.150.255.25440.150.255.25565,534
15240.151.0.0/1640.151.0.1 to 40.151.255.25440.151.255.25565,534
15340.152.0.0/1640.152.0.1 to 40.152.255.25440.152.255.25565,534
15440.153.0.0/1640.153.0.1 to 40.153.255.25440.153.255.25565,534
15540.154.0.0/1640.154.0.1 to 40.154.255.25440.154.255.25565,534
15640.155.0.0/1640.155.0.1 to 40.155.255.25440.155.255.25565,534
15740.156.0.0/1640.156.0.1 to 40.156.255.25440.156.255.25565,534
15840.157.0.0/1640.157.0.1 to 40.157.255.25440.157.255.25565,534
15940.158.0.0/1640.158.0.1 to 40.158.255.25440.158.255.25565,534
16040.159.0.0/1640.159.0.1 to 40.159.255.25440.159.255.25565,534
16140.160.0.0/1640.160.0.1 to 40.160.255.25440.160.255.25565,534
16240.161.0.0/1640.161.0.1 to 40.161.255.25440.161.255.25565,534
16340.162.0.0/1640.162.0.1 to 40.162.255.25440.162.255.25565,534
16440.163.0.0/1640.163.0.1 to 40.163.255.25440.163.255.25565,534
16540.164.0.0/1640.164.0.1 to 40.164.255.25440.164.255.25565,534
16640.165.0.0/1640.165.0.1 to 40.165.255.25440.165.255.25565,534
16740.166.0.0/1640.166.0.1 to 40.166.255.25440.166.255.25565,534
16840.167.0.0/1640.167.0.1 to 40.167.255.25440.167.255.25565,534
16940.168.0.0/1640.168.0.1 to 40.168.255.25440.168.255.25565,534
17040.169.0.0/1640.169.0.1 to 40.169.255.25440.169.255.25565,534
17140.170.0.0/1640.170.0.1 to 40.170.255.25440.170.255.25565,534
17240.171.0.0/1640.171.0.1 to 40.171.255.25440.171.255.25565,534
17340.172.0.0/1640.172.0.1 to 40.172.255.25440.172.255.25565,534
17440.173.0.0/1640.173.0.1 to 40.173.255.25440.173.255.25565,534
17540.174.0.0/1640.174.0.1 to 40.174.255.25440.174.255.25565,534
17640.175.0.0/1640.175.0.1 to 40.175.255.25440.175.255.25565,534
17740.176.0.0/1640.176.0.1 to 40.176.255.25440.176.255.25565,534
17840.177.0.0/1640.177.0.1 to 40.177.255.25440.177.255.25565,534
17940.178.0.0/1640.178.0.1 to 40.178.255.25440.178.255.25565,534
18040.179.0.0/1640.179.0.1 to 40.179.255.25440.179.255.25565,534
18140.180.0.0/1640.180.0.1 to 40.180.255.25440.180.255.25565,534
18240.181.0.0/1640.181.0.1 to 40.181.255.25440.181.255.25565,534
18340.182.0.0/1640.182.0.1 to 40.182.255.25440.182.255.25565,534
18440.183.0.0/1640.183.0.1 to 40.183.255.25440.183.255.25565,534
18540.184.0.0/1640.184.0.1 to 40.184.255.25440.184.255.25565,534
18640.185.0.0/1640.185.0.1 to 40.185.255.25440.185.255.25565,534
18740.186.0.0/1640.186.0.1 to 40.186.255.25440.186.255.25565,534
18840.187.0.0/1640.187.0.1 to 40.187.255.25440.187.255.25565,534
18940.188.0.0/1640.188.0.1 to 40.188.255.25440.188.255.25565,534
19040.189.0.0/1640.189.0.1 to 40.189.255.25440.189.255.25565,534
19140.190.0.0/1640.190.0.1 to 40.190.255.25440.190.255.25565,534
19240.191.0.0/1640.191.0.1 to 40.191.255.25440.191.255.25565,534
19340.192.0.0/1640.192.0.1 to 40.192.255.25440.192.255.25565,534
19440.193.0.0/1640.193.0.1 to 40.193.255.25440.193.255.25565,534
19540.194.0.0/1640.194.0.1 to 40.194.255.25440.194.255.25565,534
19640.195.0.0/1640.195.0.1 to 40.195.255.25440.195.255.25565,534
19740.196.0.0/1640.196.0.1 to 40.196.255.25440.196.255.25565,534
19840.197.0.0/1640.197.0.1 to 40.197.255.25440.197.255.25565,534
19940.198.0.0/1640.198.0.1 to 40.198.255.25440.198.255.25565,534
20040.199.0.0/1640.199.0.1 to 40.199.255.25440.199.255.25565,534
20140.200.0.0/1640.200.0.1 to 40.200.255.25440.200.255.25565,534
20240.201.0.0/1640.201.0.1 to 40.201.255.25440.201.255.25565,534
20340.202.0.0/1640.202.0.1 to 40.202.255.25440.202.255.25565,534
20440.203.0.0/1640.203.0.1 to 40.203.255.25440.203.255.25565,534
20540.204.0.0/1640.204.0.1 to 40.204.255.25440.204.255.25565,534
20640.205.0.0/1640.205.0.1 to 40.205.255.25440.205.255.25565,534
20740.206.0.0/1640.206.0.1 to 40.206.255.25440.206.255.25565,534
20840.207.0.0/1640.207.0.1 to 40.207.255.25440.207.255.25565,534
20940.208.0.0/1640.208.0.1 to 40.208.255.25440.208.255.25565,534
21040.209.0.0/1640.209.0.1 to 40.209.255.25440.209.255.25565,534
21140.210.0.0/1640.210.0.1 to 40.210.255.25440.210.255.25565,534
21240.211.0.0/1640.211.0.1 to 40.211.255.25440.211.255.25565,534
21340.212.0.0/1640.212.0.1 to 40.212.255.25440.212.255.25565,534
21440.213.0.0/1640.213.0.1 to 40.213.255.25440.213.255.25565,534
21540.214.0.0/1640.214.0.1 to 40.214.255.25440.214.255.25565,534
21640.215.0.0/1640.215.0.1 to 40.215.255.25440.215.255.25565,534
21740.216.0.0/1640.216.0.1 to 40.216.255.25440.216.255.25565,534
21840.217.0.0/1640.217.0.1 to 40.217.255.25440.217.255.25565,534
21940.218.0.0/1640.218.0.1 to 40.218.255.25440.218.255.25565,534
22040.219.0.0/1640.219.0.1 to 40.219.255.25440.219.255.25565,534
22140.220.0.0/1640.220.0.1 to 40.220.255.25440.220.255.25565,534
22240.221.0.0/1640.221.0.1 to 40.221.255.25440.221.255.25565,534
22340.222.0.0/1640.222.0.1 to 40.222.255.25440.222.255.25565,534
22440.223.0.0/1640.223.0.1 to 40.223.255.25440.223.255.25565,534
22540.224.0.0/1640.224.0.1 to 40.224.255.25440.224.255.25565,534
22640.225.0.0/1640.225.0.1 to 40.225.255.25440.225.255.25565,534
22740.226.0.0/1640.226.0.1 to 40.226.255.25440.226.255.25565,534
22840.227.0.0/1640.227.0.1 to 40.227.255.25440.227.255.25565,534
22940.228.0.0/1640.228.0.1 to 40.228.255.25440.228.255.25565,534
23040.229.0.0/1640.229.0.1 to 40.229.255.25440.229.255.25565,534
23140.230.0.0/1640.230.0.1 to 40.230.255.25440.230.255.25565,534
23240.231.0.0/1640.231.0.1 to 40.231.255.25440.231.255.25565,534
23340.232.0.0/1640.232.0.1 to 40.232.255.25440.232.255.25565,534
23440.233.0.0/1640.233.0.1 to 40.233.255.25440.233.255.25565,534
23540.234.0.0/1640.234.0.1 to 40.234.255.25440.234.255.25565,534
23640.235.0.0/1640.235.0.1 to 40.235.255.25440.235.255.25565,534
23740.236.0.0/1640.236.0.1 to 40.236.255.25440.236.255.25565,534
23840.237.0.0/1640.237.0.1 to 40.237.255.25440.237.255.25565,534
23940.238.0.0/1640.238.0.1 to 40.238.255.25440.238.255.25565,534
24040.239.0.0/1640.239.0.1 to 40.239.255.25440.239.255.25565,534
24140.240.0.0/1640.240.0.1 to 40.240.255.25440.240.255.25565,534
24240.241.0.0/1640.241.0.1 to 40.241.255.25440.241.255.25565,534
24340.242.0.0/1640.242.0.1 to 40.242.255.25440.242.255.25565,534
24440.243.0.0/1640.243.0.1 to 40.243.255.25440.243.255.25565,534
24540.244.0.0/1640.244.0.1 to 40.244.255.25440.244.255.25565,534
24640.245.0.0/1640.245.0.1 to 40.245.255.25440.245.255.25565,534
24740.246.0.0/1640.246.0.1 to 40.246.255.25440.246.255.25565,534
24840.247.0.0/1640.247.0.1 to 40.247.255.25440.247.255.25565,534
24940.248.0.0/1640.248.0.1 to 40.248.255.25440.248.255.25565,534
25040.249.0.0/1640.249.0.1 to 40.249.255.25440.249.255.25565,534
25140.250.0.0/1640.250.0.1 to 40.250.255.25440.250.255.25565,534
25240.251.0.0/1640.251.0.1 to 40.251.255.25440.251.255.25565,534
25340.252.0.0/1640.252.0.1 to 40.252.255.25440.252.255.25565,534
25440.253.0.0/1640.253.0.1 to 40.253.255.25440.253.255.25565,534
25540.254.0.0/1640.254.0.1 to 40.254.255.25440.254.255.25565,534
25640.255.0.0/1640.255.0.1 to 40.255.255.25440.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses